Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Interface IEventDefinition

All Known Implementing Classes:
  EventDefinition

public interface IEventDefinition
extends java.io.Serializable

Defines an event type (a business occurrence) in terms of a document type, and a set of implementation specific properties.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`IEvent` | `createDefaultEvent()` Create an event object containing default structure and values.
`void` | `createDefaultEvent(IEvent event)` Create an event object within the given event object, that contains default structure and values.
`void` | `fromXML(java.lang.String xml)` Parse an XML string representing an event definition.
`java.lang.String` | `getDescription()` Get the description for this event definition.
`java.lang.String` | `getName()` Get the type name.
`java.lang.String` | `getPayloadRootElementName()` Get the root element name for payload for this event definition.
`SOMSchema` | `getPayloadSchema()` Get the schema for the payload document.
`java.lang.String` | `getPayloadSchemaName()` Get the name of the document schema for payload for this event definition.
`java.util.Map` | `getPropertySet()` Get the properties (name/value pairs) for this service.
`void` | `setDescription(java.lang.String description)` Set the description for this event definition;
`void` | `setName(java.lang.String name)` Set the type name.
`void` | `setPayloadRootElementName(java.lang.String rootElementName)` Set the root element name for the payload for this event definition.
`void` | `setPayloadSchema(SOMSchema schema)` Set the schema for the payload document.
`void` | `setPayloadSchemaName(java.lang.String schemaName)` Set the name of the document schema for payload for this event definition.
`void` | `setPropertySet(java.util.Map props)` Set the properties (name/value pairs) for this event.
`java.lang.String` | `toXML()` Get an XML string representing this event definition.

Method Detail

### getName

    public java.lang.String getName()

  Get the type name.

### setName

    public void setName(java.lang.String name)

  Set the type name.

### createDefaultEvent

    public IEvent createDefaultEvent()
                              throws java.lang.Exception

  Create an event object containing default structure and values.

### createDefaultEvent

    public void createDefaultEvent(IEvent event)
                            throws java.lang.Exception

  Create an event object within the given event object, that contains default structure and values.

### getDescription

    public java.lang.String getDescription()

  Get the description for this event definition.

### setDescription

    public void setDescription(java.lang.String description)

  Set the description for this event definition;

### getPayloadSchemaName

    public java.lang.String getPayloadSchemaName()

  Get the name of the document schema for payload for this event definition.

### setPayloadSchemaName

    public void setPayloadSchemaName(java.lang.String schemaName)

  Set the name of the document schema for payload for this event definition.

### getPayloadRootElementName

    public java.lang.String getPayloadRootElementName()

  Get the root element name for payload for this event definition.

### setPayloadRootElementName

    public void setPayloadRootElementName(java.lang.String rootElementName)

  Set the root element name for the payload for this event definition.

### getPayloadSchema

    public SOMSchema getPayloadSchema()

  Get the schema for the payload document.

### setPayloadSchema

    public void setPayloadSchema(SOMSchema schema)

  Set the schema for the payload document.

### getPropertySet

    public java.util.Map getPropertySet()

  Get the properties (name/value pairs) for this service. These properties describe the metadata needed by the implementer of the service, and are opaque to any outside consumer.

### setPropertySet

    public void setPropertySet(java.util.Map props)

  Set the properties (name/value pairs) for this event. These properties describe the metadata needed by the implementer of the event, and are opaque to any outside consumer.

### toXML

    public java.lang.String toXML()
                           throws DocumentException

  Get an XML string representing this event definition. The schema is referred to by name, and it not include inline in the returned XML.

  Throws:
    DocumentException - if there is an error creating the XML.

### fromXML

    public void fromXML(java.lang.String xml)
                 throws DocumentParseException,
                        DocumentException

  Parse an XML string representing an event definition. The schema is referred to by name, and is not include inline in the returned XML.

  Throws:
    DocumentParseException - if the xml cannot be parsed.
    DocumentException - if an error occurs while processing the xml.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)